Bug 43381 - view results tree grouping results per threadgroup
Summary: view results tree grouping results per threadgroup
Status: RESOLVED WONTFIX
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.3
Hardware: Other other
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2007-09-13 04:54 UTC by Christoph
Modified: 2017-03-08 21:04 UTC (History)
1 user (show)



Attachments
patch for grouping samplers per threadgroup (6.57 KB, patch)
2007-09-13 04:54 UTC, Christoph
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph 2007-09-13 04:54:21 UTC
i've created a patch that groups the nodes in the results tree by its 
threadgroup. e.g. we have 2 threadgroups "DownloadTest" and "LoginTest", 
the "view results tree" looks like this:

+ DownloadTest
  + Request1
  + Request2
+ LoginTest
  + Request3
  + Request4

this makes results clearer and easier to find if the testplans are large.

greets,
   chris
Comment 1 Christoph 2007-09-13 04:54:48 UTC
Created attachment 20813 [details]
patch for grouping samplers per threadgroup
Comment 2 Sebb 2007-12-05 16:02:35 UTC
Finally got around to looking at this ...

Patch seems to work OK, except that every single thread is listed under a 
different root. This is because the thread name includes the thread number.

This can be fixed by trimming the -nnn suffix.

However, I think there are still some other matters that need to be resolved:
- if the Listener is under a single thread, should a parent be used?
- should samples be grouped by the original thread group name, or by the 
generated name - which has a numeric suffix? In the former case, thread groups 
can be merged by choosing identical names. If the latter, then samples are 
always segregated into thread groups. I think the former is more versatile.

Comments? 
Comment 3 Philippe Mouawad 2017-03-08 21:04:02 UTC
Thanks for patch.
Unfortunately, this feature does not seem useful enough for integration and patch is now very old.